Student Folder 
=====================

This file is part of the mod_publication plugin for Moodle - <http://moodle.org/>

*Author:*    Hannes Laimer, Philipp Hager, Andreas Windbichler, Simeon Naydenov

*Copyright:* [Academic Moodle Cooperation](http://www.academic-moodle-cooperation.org)

*License:*   [GNU GPL v3 or later](http://www.gnu.org/copyleft/gpl.html)


Description
-----------

Online texts and files can be collected and published via the Student Folder activity and thus made available to everyone in a Moodle course. Submissions can be made directly by uploading or alternatively can be taken over by teachers from an assignment activity.


Usage
-------

A possible teaching scenario could look like this: 
* Seminar papers must be submitted as part of a course. The documents created should be uploaded by the students in the assignment activity. Teachers assess the submissions online and provide feedback. In order to make individual or all submitted documents accessible to all participants in the course, a student folder is then created by the teachers and linked to the assignment. Teachers can then decide which documents should be visible to participants. It is also possible to make the publication of documents dependent on the consent of the students who submitted them. 
* Students present their group work as part of a seminar. The presentations and summaries created for this should be made available to all participants in the course. The teachers therefore create a student folder in which the files can be uploaded directly and published immediately. Students can then upload the documents themselves. Teachers can change the visibility of individual files at any time if necessary.


Installation
------------

* Copy the module code directly to the mod/publication directory.

* Log into Moodle as administrator.

* Open the administration area (http://your-moodle-site/admin) to start the installation
  automatically.


Privacy API
--------------

The plugin fully implements the Moodle Privacy API.


Documentation
-------------

You can find a documentation for the plugin on the [AMC website](https://academic-moodle-cooperation.org/mod_publication/).


Bug Reports / Support
---------------------

We try our best to deliver bug-free plugins, but we can not test the plugin for every platform,
database, PHP and Moodle version. If you find any bug please report it on
[GitHub](https://github.com/academic-moodle-cooperation/moodle-mod_publication/issues). Please
provide a detailed bug description, including the plugin and Moodle version and, if applicable, a
screenshot.

You may also file a request for enhancement on GitHub. If we consider the request generally useful
and if it can be implemented with reasonable effort we might implement it in a future version.

You may also post general questions on the plugin on GitHub, but note that we do not have the
resources to provide detailed support.


License
-------

This plugin is free software: you can redistribute it and/or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

The plugin is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License with Moodle. If not, see
<http://www.gnu.org/licenses/>.


Good luck and have fun!
